/*
 * Copyright (c) 2007 Kov Chai <tchaikov@gmail.com>
 */

#ifndef SUNPINYIN_UTIL_H
#define SUNPINYIN_UTIL_H

#define Uses_SCIM_UTILITY

#include "portability.h"

#include <scim.h>
#include <scim_event.h>

using namespace scim;

class SunKeyEvent
{
    static KeyEvent m_prev_key;
    bool m_release;
public:
    unsigned code;
    unsigned value;
    unsigned modifier;
    bool is_key_release() const;
    bool is_shift() const;
    SunKeyEvent(const KeyEvent& key);
private:
    bool is_shift(const KeyEvent& key) const;
    bool is_alt_shift(const KeyEvent& key) const;
};

WideString wstr_to_widestr(const TWCHAR* wstr);
WideString wstr_to_widestr(const TWCHAR* wstr, size_t);

#endif// SUNPINYIN_UTIL_H
